package uk.co.beercave.gunboat;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.audio.Sound;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.BitmapFont;
import com.badlogic.gdx.graphics.g2d.TextureRegion;

public class ResourceManager {

	//very light on resources for this one, so just a bunch of statics should do
	public static void initialise(){
		blankTx = new TextureRegion(new Texture(Gdx.files.internal("textures/blank.png")));
		boat = new TextureRegion(new Texture(Gdx.files.internal("textures/boat.png")));
		gun = new TextureRegion(new Texture(Gdx.files.internal("textures/gun.png")));
		octostar = new TextureRegion(new Texture(Gdx.files.internal("textures/octostar.png")));
		logo = new TextureRegion(new Texture(Gdx.files.internal("textures/beercave.png")));
		ring = new TextureRegion(new Texture(Gdx.files.internal("textures/ring.png")));
		
		defaultFont = new BitmapFont(Gdx.files.internal("fonts/default.fnt"), false);
		
		gunshot = Gdx.audio.newSound(Gdx.files.internal("sounds/gun.wav"));
		playerHit = Gdx.audio.newSound(Gdx.files.internal("sounds/hit.wav"));
		explosion = Gdx.audio.newSound(Gdx.files.internal("sounds/explode.wav"));
		boatKilled = Gdx.audio.newSound(Gdx.files.internal("sounds/kill.wav"));
		alert = Gdx.audio.newSound(Gdx.files.internal("sounds/alert.wav"));
	}
	//gfx
	public static TextureRegion blankTx;
	public static TextureRegion boat;
	public static TextureRegion gun;
	public static TextureRegion octostar;
	public static TextureRegion logo;
	
	
	//fonts
	public static BitmapFont defaultFont;
	
	//sounds
	public static Sound gunshot;
	public static Sound playerHit;
	public static Sound explosion;
	public static Sound boatKilled;
	public static Sound alert;
	//music
	public static TextureRegion ring;
}
